/*
	Endeavour Recycle Bin Drag & Drop Callbacks & Procedures
 */

#ifndef RECBINDND_H
#define RECBINDND_H

#include <gtk/gtk.h>
#include "recbin.h"


extern void EDVRecBinDragDataDeleteCB(
	GtkWidget *widget, GdkDragContext *dc, gpointer data
);

extern void EDVRecBinContentsDNDSetIcon(
	edv_recbin_struct *recbin, gint row, gint column
);
extern gboolean EDVRecBinContentsDragMotionCB(
	GtkWidget *widget, GdkDragContext *dc,
	gint x, gint y, guint t,
	gpointer data
);
extern gboolean EDVRecBinDeskIconDragMotionCB(
	GtkWidget *widget, GdkDragContext *dc,
	gint x, gint y, guint t,
	gpointer data
);
extern void EDVRecBinContentsDragDataGetCB(
	GtkWidget *widget, GdkDragContext *dc,
	GtkSelectionData *selection_data, guint info, guint t,
	gpointer data
);
extern void EDVRecBinContentsDragDataReceivedCB(
	GtkWidget *widget, GdkDragContext *dc,
	gint x, gint y,
	GtkSelectionData *selection_data, guint info, guint t,
	gpointer data
);
extern void EDVRecBinDeskIconDragDataReceivedCB(
	GtkWidget *widget, GdkDragContext *dc,
	gint x, gint y,
	GtkSelectionData *selection_data, guint info, guint t,
	gpointer data
);
extern void EDVRecBinContentsDragDataDeleteCB(
	GtkWidget *widget, GdkDragContext *dc, gpointer data
);


#endif	/* RECBINDND_H */
